%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  HybridDesign
%global packver   1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Hybrid Design for Phase I Dose-Finding Studies

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.6
Requires:         R-core >= 3.6
BuildArch:        noarch
BuildRequires:    R-CRAN-testit 
BuildRequires:    R-CRAN-ResourceSelection 
Requires:         R-CRAN-testit 
Requires:         R-CRAN-ResourceSelection 

%description
The Hybrid design is a combination of model-assisted design (e.g., the
modified Toxicity Probability Interval design) with dose-toxicity
model-based design for phase I dose-finding studies. The hybrid design
controls the overdosing toxicity well and leads to a recommended dose
closer to the true maximum tolerated dose (MTD) due to its ability to
calibrate for an intermediate dose. More details can be found in Liao et
al. 2022 <doi:10.1002/ijc.34203>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
